This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 110125 - Change screen resolution error
Change screen resolution error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
1
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-14 18:28 EST by Benji Philpott
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-27 04:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Benji Philpott 2003-11-14 18:28:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
When you change the resolution with the provided applications, not
everything knows about the change.  Example the background has to be
re-centered manually and the screensaver uses the old resolution. 
Example if you go from a resolution of 1024x768 to a res of 1280x1024
the screensaver will take up only 1024x768 pixels of the screen.  you
can see the normal desktop in the rest of the pixel area.  If X is
restarted then everything functions as you would expect it.

Version-Release number of selected component (if applicable):
not sure... non-updated FC1 if that helps

How reproducible:
Didn't try

Steps to Reproduce:
1.start with res of 1024x768 or lower and have a background that is a
centered picture and doesn't take up the whole screen or isn't repeated
2.change resolution to something higher like 1280x1024
3.wait for screensaver to show up
    

Actual Results:  the background was no longer centered and the
screensaver uses the old resolution.

Expected Results:  the backgound should have recentered and the
screensaver should have taken advantage of the new resolution

Additional info:
Comment 1 Bob Gustafson 2004-02-23 00:18:10 EST
New boot to Fedora Cord 1.90 on i686 smp

In Preferences -> Set Resolution, it is possible to set my NEC 5FG to
832x624 - and it works.

But, clicking on the Default box does not stick. Next boot it goes
into 1024x768 (was closest selction available in Install configuration)

Also, in System Setup -> Display, the 832x624 resolution is not available.
Comment 2 Mark McLoughlin 2004-07-27 04:48:43 EDT
(Sorry about the inactivity here)

I'm going to close out this bug because we should be tracking each of
these bugs seperately i.e. the desktop background bug should be logged
against nautilus and the screensaver bug should be logged against
xscreensaver.

You might want to try and reproduce the bugs with Fedora Core 2 first
and/or ensure that the bug hasn't been logged already. Thanks.

Note You need to log in before you can comment on or make changes to this bug.